﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Datron 1062: (1 Year) VER IEEE /4805
DATE:                  2018-07-17 11:07:53
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       53
NUMBER OF LINES:       1691
CONFIGURATION:         Datron 4805 (KVR,ACV,DCV,CUR,RES)
=============================================================================
#
#  Source:          Users Handbook
#                   Part Number 850040
#                   Issue 11 (OCT.1988)
#
#  System Specifications:
#                   1 Year Test limits
#
#  Source Author:   Portocal II
#                   Verify to 365 day
#                   Datron 1062
#                   Version 1.10
#                   Pre Adjustment Procedure
#
#  Compatibility:   MET/CAL 6.11A or later
#
#  Additional equipment Required:
#                   None
#
#  The procedure is intended for use with Met/Cal(r) calibration software,
#  and the terms and conditions set forth in your METCAL license apply to
#  this procedure.
#
#  Due to our policy of continuously up dating our products, this procedure
#  may contain minor differences in specification to those found in the manual
#  or other documentation. While every effort has been made to ensure that
#  this procedure is accurate, Fluke cannot be held responsible for the
#  consequences of error or omissions found within this procedure.
#
#  The copyright in this procedure is owned by Fluke Precision Measurement
#  Limited.
#
#  Registers Used
#                M[1]   = Average Readings Counter (Adjustment)
#                M[2]   = Readings to Discard   (Adjustment)
#                M[3]   = Sum of Averages   (Adjustment)
#                M[4]   = Average of Readings (Adjustment)
#                M[6]   = First Delimited Value to Identify Option 12
#                M[7]   = Second Delimited Value to Identify Option 12
#                M[10]  = Number of Readings Reqd (Adjustment)
#                M[101] = Adjustment Retry Counter
#                M[102] = Invalid Measurement Counter
#                M[103] = Units Multiplier
#                M[104] = Tolerance
#                M[105] = Tight Tolerance % Multiplier
#                M[106] = Delay Time Remain Counter
#                M[107] = Tight Limit Calculated
#                M[255] = Delay Time (s)
#                S[2]   = Range String
#                S[10]  = DCV Function Selected
#                S[11]  = ACV Function Selectied
#                S[12]  = Resistance Function Selected
#                S[13]  = DCI Function Selected
#                S[14]  = ACI Function Selected
#                S[20]  = DCV Function Option Fitted
#                S[21]  = ACV Function Option Fitted
#                S[22]  = Resistance Function Option Fitted
#                S[23]  = DCI Function Option Fitted
#                S[24]  = ACI Function Option Fitted
#                S[25]  = Message to explain that Option 12 is not supported.
#                S[32]  = Delay Time Message
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

 # Metcal Initial Setup
  1.001  IEEE         [SRQ OFF]

  1.002  ASK-                        P                            F        V
  1.003  ASK+           K

  1.004  HEAD         Personnel Safety
  1.005  DISP         [32]Dangerous voltages may be present during
  1.005  DISP         [32]this process, always check it is safe to do so
  1.005  DISP         [32]before touching any electrical connections.

  1.006  PIC          1081back
  1.007  DISP         Turn on the UUT and allow a minimum of 2 hours
  1.007  DISP         Warm Up period.
  1.008  PIC          1081_dis

# Metcal Initial Setup
  1.009  IEEE         [SRQ OFF]

# Initial UUT Setup
#  1.002  IEEE         O0Q1T2W0
  1.010  IEEE         O0
  1.011  IEEE         Q1
  1.012  IEEE         T2
  1.013  IEEE         W0
  1.014  IEEE         I0
  1.015  PIC          1081term
  1.016  IEEE         F3R6C0A2


#******************* IDENTIFY OPTIONS ******************************

  1.017  MATH         S[20]="DC Voltage (Standard)"

  1.018  HEAD         Identify Options Fitted

# AC Voltage
  1.019  IEEE         F2[D1000]
  1.020  IEEE         [SPL80]
  1.021  JMPL         ACV_No_Opt  MEM == 80
  1.022  IEEE         F2R3C1A2
  1.023  IEEE         [d10000]
  1.024  4805         1V                           500H                 S  2W
  1.025  IEEE         [d5000]
  1.026  IEEE         [TRIG]
  1.027  IEEE         [SRQ15000,192]
  1.028  IEEE         [I$]
  1.029  MATH         M[6] =  FIND(MEM2, ".", 1)
  1.030  MATH         M[7] =  FIND(MEM2, "E", 1)
  1.031  MATH         MEM= M[7] - M[6]
  1.032  JMPL         ACV_10 MEM == 6
  1.033  MATH         S[21]="AC Voltage (Option 12)"
  1.034  MATH         S[25]=""
  1.035  JMPL         RES_OPT

  1.036  LABEL        ACV_10
  1.037  MATH         S[21]="AC Voltage (Option 10)"
  1.038  MATH         S[25]="THIS PROCEDURE DOES NOT SUPPORT (OPTION 10)"
  1.039  DISP         The UUT to be tested has the standard
  1.039  DISP         True RMS AC Converter (Option 10) fitted.
  1.039  DISP
  1.039  DISP         This procedure only supports the High Performance ACV
  1.039  DISP         (Option 12).
  1.039  DISP         If you wish to continue, this procedure can carry
  1.039  DISP         out the Performance Verification on DC Volts &
  1.039  DISP         Resistance only (if fitted).
  1.040  JMPL         RES_OPT

  1.041  LABEL        ACV_No_Opt
  1.042  MATH         S[25]=""
  1.043  MATH         S[21]=""

# Resistance
  1.044  LABEL        RES_OPT
  1.045  MATH         S[22]="Resistance (Option 20)"
  1.046  IEEE         F1[D1000]
  1.047  IEEE         [SPL80]
  1.048  JMPL         DCI_OPT MEM != 80
  1.049  MATH         S[22]=""

  1.050  LABEL        DCI_OPT
  1.051  MATH         S[23]="DC Current (Option 30)"
  1.052  IEEE         F5[D1000]
  1.053  IEEE         [SPL80]
  1.054  JMPL         DCI_No_Opt MEM == 80

#Identify whether the UUT is post or pre software 17
  1.055  LABEL        Identify
  1.056  HEAD         Identify Software
  1.057  MATH         S[2] = "100" ; S[3]  = "mA"
  1.058  MATH         M[103] = 1e-3  ; M[108] = 1
  1.059  IEEE         F5R5C1A0
  1.060  4805         100mA                                             S  2W
  1.061  IEEE         [@4805]G1=
  1.062  IEEE         [d5000]
  1.063  CALL         Sub Datron 10xx Take Reading IEEE

  1.064  JMPL         Pre_Software_17  MEM > 1E6
  1.065  JMPL         _Software_17  MEM > 70
  1.066  LABEL        Check_Connections
  1.067  DISP         Check the I+ &  I- Connections as these
  1.067  DISP         must be connected to the UUT for the software
  1.067  DISP         identification to be carried out correctly.
  1.068  JMPL         Identify

  1.069  LABEL        _Software_17
  1.070  JMPL         Check_Connections  MEM > 200
  1.071  MATH         S[4] = "> 17"
  1.072  JMPL         contd
  1.073  LABEL        Pre_Software_17
  1.074  MATH         S[4] = "< 17"

  1.075  LABEL        contd
  1.076  HEAD         Software Version [S4] [D2000]
  1.077  RSLT         =
  1.078  JMPL         ACI_OPT

  1.079  LABEL        DCI_No_Opt
  1.080  MATH         S[4] = "N/A"
  1.081  MATH         S[23]=""


  1.082  LABEL        ACI_OPT
  1.083  MATH         S[24]="AC Current (Option 30)"
  1.084  IEEE         F4[D1000]
  1.085  IEEE         [SPL80]
  1.086  JMPL         DISP_OPT MEM != 80
  1.087  MATH         S[24]=""

  1.088  LABEL        DISP_OPT
  1.089  DISP         1062 With Options Fitted:
  1.089  DISP         [32]                        [S21]
  1.089  DISP         [32]                        [S22]
  1.089  DISP         [32]                        [S23]
  1.089  DISP         [32]                        [S24]
  1.089  DISP         Software Version [S4]
  1.089  DISP         [32]
  1.089  DISP         [S25]


  1.090  RSLT         =1062 With Options Fitted:
  1.091  RSLT         =[32]              [S21]
  1.092  RSLT         =[32]              [S22]
  1.093  RSLT         =[32]              [S23]
  1.094  RSLT         =[32]              [S24]
  1.095  RSLT         =
  1.096  RSLT         =Software Version [S4]
  1.097  RSLT         =
  1.098  RSLT         =[S25]


#***************** FUNCTION SELECTION **********************

#Allow the operator to choose the function to run. All functions are
#preloaded they are cleared if necessary by the operator selection.
  1.099  LABEL        Begin

#Load Registers with Options Fitted
  1.100  MATH         S[10] = S[20]
  1.101  MATH         S[11] = S[21]
  1.102  MATH         S[12] = S[22]
  1.103  MATH         S[13] = S[23]
  1.104  MATH         S[14] = S[24]

  1.105  HEAD         Function Selection
  1.106  OPBR         [32] Do you wish to run the whole procedure?
  1.107  JMPL         Run_Some MEM1 ==-1
  1.108  JMPL         Finish_Selection

  1.109  LABEL        Run_Some
  1.110  OPBR         Do you want to run the [S10] Performance
  1.110  OPBR         Verification tests?
  1.111  JMPL         ACV MEM1==1
  1.112  MATH         S[10] = ""

  1.113  LABEL        ACV
  1.114  JMPL         RES CMPI ("",S[11]) == 1
  1.115  JMPL         RES CMPI ("AC Voltage (Option 10)",S[11]) == 1
  1.116  OPBR         Do you want to run the [S11]
  1.116  OPBR         Performance Verification tests?
  1.117  JMPL         RES MEM1==1
  1.118  MATH         S[11] = ""

  1.119  LABEL        RES
  1.120  JMPL         DCI CMPI ("",S[12]) == 1
  1.121  OPBR         Do you want to run the [S12]
  1.121  OPBR         Performance Verification tests?
  1.122  JMPL         DCI MEM1==1
  1.123  MATH         S[12] = ""

  1.124  LABEL        DCI
  1.125  JMPL         ACI CMPI ("",S[13]) == 1
  1.126  JMPL         NO_DCI CMPI ("AC Voltage (Option 10)",S[11]) == 1
  1.127  OPBR         Do you want to run the [S13]
  1.127  OPBR         Performance Verification tests?
  1.128  JMPL         ACI MEM1==1
  1.129  LABEL        NO_DCI
  1.130  MATH         S[13] = ""

  1.131  LABEL        ACI
  1.132  JMPL         Finish_Selection CMPI ("",S[14]) == 1
  1.133  JMPL         NO_ACI CMPI ("AC Voltage (Option 12)",S[11]) == 1
  1.134  OPBR         Do you want to run the [S14]
  1.134  OPBR         Performance Verification tests?
  1.135  JMPL         Finish_Selection  MEM1==1
  1.136  LABEL        NO_ACI
  1.137  MATH         S[14] = ""

#Display Selections Chosen
  1.138  LABEL        Finish_Selection

#Erase Option_12s Register
  1.139  JMPL         CONT_IF_10 CMPI ("AC Voltage (Option 12)",S[11]) == 1
  1.140  MATH         S[11] =""

  1.141  LABEL        CONT_IF_10
  1.142  OPBR         [32]Performance Tests Chosen:
  1.142  OPBR         [32]                 [S10]
  1.142  OPBR         [32]                 [S11]
  1.142  OPBR         [32]                 [S12]
  1.142  OPBR         [32]                 [S13]
  1.142  OPBR         [32]                 [S14]
  1.142  OPBR
  1.142  OPBR         (YES to continue/ NO to reselect)
  1.143  JMPL         Begin MEM1==-1

  1.144  4805         *                                                 S

#**************************** DC VOLTAGE *******************************
#***********************************************************************

  1.145  JMPL         SKIP_DCV  CMPI ("DC Voltage (Standard)",S[10]) != 1


  1.146  HEAD         {Function: DC Voltage}
  1.147  TARGET       -p

# Measurement Setup
  1.148  VSET         NTHROW = 1 NMEAS = 5


# ***************** 100 mV RANGE ****************

# Set String Registers:        Range          Units
  1.149  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
  1.150  MATH         M[103] = 1e-3   ; M[108] = 1


# UUT Setup to 100mV Range
  1.151  RSLT         =
  1.152  RSLT         =100 mV Range
  1.153  IEEE         F3R2C1A2


# ********************* +100 mV Output ********************************

# Setup Registers      Delay Time
  1.154  MATH         M[255] = 5

# Set Tolerance
  1.155  MATH         M[104] = 0.0036

# 48xx Setup
  1.156  4805         100mV                                             S  2W
  1.157  CALL         Sub Wait

# Take Reading
  1.158  TARGET       -m
  1.159  CALL         Sub Datron 10xx Take Reading IEEE
  1.160  MEMCX        100.00000mV    M104U


# ********************* -100 mV Output ********************************

# Setup Registers      Delay Time
  2.001  MATH         M[255] = 5

# Set Tolerance
  2.002  MATH         M[104] = 0.00360

# 48xx Setup
  2.003  4805         -100mV                                            S  2W
  2.004  CALL         Sub Wait

# Take Reading
  2.005  TARGET       -m
  2.006  CALL         Sub Datron 10xx Take Reading IEEE
  2.007  MEMCX        -100.00000mV   M104U


# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
  3.001  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
  3.002  MATH         M[103] = 1

# UUT Setup to 1V Range
  3.003  RSLT         =
  3.004  RSLT         =1V Range
  3.005  IEEE         F3R3C1A2

# ********************* +1 V Output ********************************

# Setup Registers      Delay Time
  3.006  MATH         M[255] = 5

# Set Tolerance
  3.007  MATH         M[104] = 0.000024

# 48xx Setup
  3.008  4805         1V                                                S  2W
  3.009  CALL         Sub Wait

# Take Reading
  3.010  TARGET       -m
  3.011  CALL         Sub Datron 10xx Take Reading IEEE
  3.012  MEMCX        1.0000000V     M104U


# ********************* -1 V Output ********************************

# Setup Registers      Delay Time
  4.001  MATH         M[255] = 5

# Set Tolerance
  4.002  MATH         M[104] = 0.000024

# 48xx Setup
  4.003  4805         -1V                                               S  2W
  4.004  CALL         Sub Wait

# Take Reading
  4.005  TARGET       -m
  4.006  CALL         Sub Datron 10xx Take Reading IEEE
  4.007  MEMCX        -1.0000000V    M104U


# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
  5.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
  5.002  MATH         M[103] = 1

# UUT Setup to 10V Range
  5.003  RSLT         =
  5.004  RSLT         =10V Range
  5.005  IEEE         F3R4C1A2

# ********************* +1 mV Output ********************************

# Setup Registers      Delay Time
  5.006  MATH         M[255] = 5

# Set Tolerance
  5.007  MATH         M[104] = 0.00104

# 48xx Setup
  5.008  4805         1mV                                               S  2W
  5.009  CALL         Sub Wait

# Take Reading
  5.010  TARGET       -m
  5.011  CALL         Sub Datron 10xx Take Reading IEEE
  5.012  MEMCX        1.000000mV     M104U

# ********************* -1 mV Output ********************************

# Setup Registers      Delay Time
  6.001  MATH         M[255] = 5

# Set Tolerance
  6.002  MATH         M[104] = 0.00104

# 48xx Setup
  6.003  4805         -1mV                                              S  2W
  6.004  CALL         Sub Wait

# Take Reading
  6.005  TARGET       -m
  6.006  CALL         Sub Datron 10xx Take Reading IEEE
  6.007  MEMCX        -1.000000mV    M104U

# ********************* 10 mV Output ********************************

# Setup Registers      Delay Time
  7.001  MATH         M[255] = 5

# Set Tolerance
  7.002  MATH         M[104] = 0.01004

# 48xx Setup
  7.003  4805         10mV                                              S  2W
  7.004  CALL         Sub Wait

# Take Reading
  7.005  TARGET       -m
  7.006  CALL         Sub Datron 10xx Take Reading IEEE
  7.007  MEMCX        10.000000mV    M104U

# ********************* -10 mV Output ********************************

# Setup Registers      Delay Time
  8.001  MATH         M[255] = 5

# Set Tolerance
  8.002  MATH         M[104] = 0.01004

# 48xx Setup
  8.003  4805         -10mV                                             S  2W
  8.004  CALL         Sub Wait

# Take Reading
  8.005  TARGET       -m
  8.006  CALL         Sub Datron 10xx Take Reading IEEE
  8.007  MEMCX        -10.000000mV   M104U

# ********************* 100 mV Output ********************************

# Setup Registers      Delay Time
  9.001  MATH         M[255] = 5

# Set Tolerance
  9.002  MATH         M[104] = 0.10004

# 48xx Setup
  9.003  4805         100mV                                             S  2W
  9.004  CALL         Sub Wait

# Take Reading
  9.005  TARGET       -m
  9.006  CALL         Sub Datron 10xx Take Reading IEEE
  9.007  MEMCX        100.000000mV   M104U

# ********************* -100 mV Output ********************************

# Setup Registers      Delay Time
 10.001  MATH         M[255] = 5

# Set Tolerance
 10.002  MATH         M[104] = 0.10004

# 48xx Setup
 10.003  4805         -100mV                                            S  2W
 10.004  CALL         Sub Wait

# Take Reading
 10.005  TARGET       -m
 10.006  CALL         Sub Datron 10xx Take Reading IEEE
 10.007  MEMCX        -100.000000mV  M104U

# ********************* 1 V Output ********************************

# Setup Registers      Delay Time
 11.001  MATH         M[255] = 5

# Set Tolerance
 11.002  MATH         M[104] = 0.00006

# 48xx Setup
 11.003  4805         1V                                                S  2W
 11.004  CALL         Sub Wait

# Take Reading
 11.005  TARGET       -m
 11.006  CALL         Sub Datron 10xx Take Reading IEEE
 11.007  MEMCX        1.000000V      M104U

# ********************* -1 V Output ********************************

# Setup Registers      Delay Time
 12.001  MATH         M[255] = 5

# Set Tolerance
 12.002  MATH         M[104] = 0.00006

# 48xx Setup
 12.003  4805         -1V                                               S  2W
 12.004  CALL         Sub Wait

# Take Reading
 12.005  TARGET       -m
 12.006  CALL         Sub Datron 10xx Take Reading IEEE
 12.007  MEMCX        -1.000000V     M104U

# ********************* +10 V Output ********************************

# Setup Registers      Delay Time
 13.001  MATH         M[255] = 5

# Set Tolerance
 13.002  MATH         M[104] = 0.00024

# 48xx Setup
 13.003  4805         10V                                               S  2W
 13.004  CALL         Sub Wait

# Take Reading
 13.005  TARGET       -m
 13.006  CALL         Sub Datron 10xx Take Reading IEEE
 13.007  MATH         RdgAtTenV = MEM
 13.008  MEMCX        10.000000V     M104U



# ********************* -10 V Output ********************************

# Setup Registers      Delay Time
 14.001  MATH         M[255] = 5

# Set Tolerance
 14.002  MATH         M[104] = 0.00024

# 48xx Setup
 14.003  4805         -10V                                              S  2W
 14.004  CALL         Sub Wait

# Take Reading
 14.005  TARGET       -m
 14.006  CALL         Sub Datron 10xx Take Reading IEEE
 14.007  MEMCX        -10.000000V    M104U

# ********************* 19 V Output ********************************

# Setup Registers      Delay Time
 15.001  MATH         M[255] = 5

# Set Tolerance
 15.002  MATH         M[104] = (RdgAtTenV * 1.9) + 0.00004

# 48xx Setup
 15.003  4805         19V                                               S  2W
 15.004  CALL         Sub Wait

# Take Reading
 15.005  TARGET       -m
 15.006  CALL         Sub Datron 10xx Take Reading IEEE
 15.007  MEMCX        19.000000V     M104U

# ********************* -19 V Output ********************************

# Setup Registers      Delay Time
 16.001  MATH         M[255] = 5

# Set Tolerance
 16.002  MATH         M[104] = (RdgAtTenV * 1.9) + 0.00004

# 48xx Setup
 16.003  4805         -19V                                              S  2W
 16.004  CALL         Sub Wait

# Take Reading
 16.005  TARGET       -m
 16.006  CALL         Sub Datron 10xx Take Reading IEEE
 16.007  MEMCX        -19.000000V    M104U

# ***************** 100 V RANGE ****************

# Set String Registers:        Range          Units
 17.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 17.002  MATH         M[103] = 1

# UUT Setup to 100V Range
 17.003  RSLT         =
 17.004  RSLT         =100 V Range
 17.005  IEEE         F3R5C1A2

# ********************* +100 V Output ********************************

# Setup Registers      Delay Time
 17.006  MATH         M[255] = 5

# Set Tolerance
 17.007  MATH         M[104] = 0.0034

# 48xx Setup
 17.008  4805         100V                                              S  2W
 17.009  CALL         Sub Wait

# Take Reading
 17.010  TARGET       -m
 17.011  CALL         Sub Datron 10xx Take Reading IEEE
 17.012  MEMCX        100.00000V     M104U


# ********************* -100 V Output ********************************

# Setup Registers      Delay Time
 18.001  MATH         M[255] = 5

# Set Tolerance
 18.002  MATH         M[104] = 0.0034

# 48xx Setup
 18.003  4805         -100V                                             S  2W
 18.004  CALL         Sub Wait

# Take Reading
 18.005  TARGET       -m
 18.006  CALL         Sub Datron 10xx Take Reading IEEE
 18.007  MEMCX        -100.00000V    M104U



# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 19.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 19.002  MATH         M[103] = 1

# UUT Setup to 1000V Range
 19.003  RSLT         =
 19.004  RSLT         =1000V Range
 19.005  IEEE         F3R6C1A2


# ********************* +1000 V Output ********************************

# Setup Registers      Delay Time
 19.006  MATH         M[255] = 5

# Set Tolerance
 19.007  MATH         M[104] = 0.034

# 48xx Setup
 19.008  4805         1000V                                             S  2W
 19.009  CALL         Sub Wait

# Take Reading
 19.010  TARGET       -m
 19.011  CALL         Sub Datron 10xx Take Reading IEEE
 19.012  MEMCX        1000.0000V     M104U


# ********************* -1000 V Output ********************************

# Setup Registers      Delay Time
 20.001  MATH         M[255] = 5

# Set Tolerance
 20.002  MATH         M[104] = 0.034

# 48xx Setup
 20.003  4805         -1000V                                            S  2W
 20.004  CALL         Sub Wait

# Take Reading
 20.005  TARGET       -m
 20.006  CALL         Sub Datron 10xx Take Reading IEEE
 20.007  MEMCX        -1000.0000V    M104U


# Rest After High Voltage
 21.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 21.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 21.003  CALL         Sub Wait

 21.004  LABEL        SKIP_DCV

#**************************** AC VOLTAGE *******************************
#***********************************************************************
 21.005  JMPL         SKIP_ACV  CMPI ("AC Voltage (Option 12)",S[11])!= 1

 21.006  RSLT         =
 21.007  HEAD         {Function: AC Voltage}
 21.008  TARGET       -p

# Measurement Setup
 21.009  VSET         NTHROW = 1 NMEAS = 5

# ***************** 100 mV RANGE ****************

# Set String Registers:        Range          Units
 21.010  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
 21.011  MATH         M[103] = 1e-3  ; M[108] = 1


# UUT Setup to 100mV Range
 21.012  RSLT         =
 21.013  RSLT         =100 mV Range
 21.014  IEEE         F2R2C1A0

# ********************* 100 mV @ 500Hz Output ********************************

# Setup Registers      Delay Time
 21.015  MATH         M[255] = 5    ; S[32] = "Settling Time"

# Set Tolerance
 21.016  MATH         M[104] = 0.16

# 48xx Setup
 21.017  4805         100mV                        500H                 S  2W
 21.018  CALL         Sub Wait

# Take Reading
 21.019  TARGET       -m
 21.020  CALL         Sub Datron 10xx Take Reading IEEE
 21.021  MEMCX        100.000mV      M104U         500H

# ********************* 100 mV @ 40kHz Output ********************************

# Setup Registers      Delay Time
 22.001  MATH         M[255] = 5    ; S[32] = "Settling Time"

# Set Tolerance
 22.002  MATH         M[104] = 0.4

# 48xx Setup
 22.003  4805         100mV                        40kH                 S  2W
 22.004  CALL         Sub Wait

# Take Reading
 22.005  TARGET       -m
 22.006  CALL         Sub Datron 10xx Take Reading IEEE
 22.007  MEMCX        100.000mV      M104U         40kH


# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
 23.001  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
 23.002  MATH         M[103] = 1

# UUT Setup to 1V Range
 23.003  RSLT         =
 23.004  RSLT         =1V Range
 23.005  IEEE         F2R3C1A0

# ********************* 1V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 23.006  MATH         M[255] = 5

# Set Tolerance
 23.007  MATH         M[104] = 0.0008

# 48xx Setup
 23.008  4805         1V                           500H                 S  2W
 23.009  CALL         Sub Wait

# Take Reading
 23.010  TARGET       -m
 23.011  CALL         Sub Datron 10xx Take Reading IEEE
 23.012  MEMCX        1.00000V       M104U         500H

# ********************* 1V @ 40kHz Output ********************************

# Setup Registers      Delay Time
 24.001  MATH         M[255] = 5

# Set Tolerance
 24.002  MATH         M[104] = 0.002

# 48xx Setup
 24.003  4805         1V                           40kH                 S  2W
 24.004  CALL         Sub Wait

# Take Reading
 24.005  TARGET       -m
 24.006  CALL         Sub Datron 10xx Take Reading IEEE
 24.007  MEMCX        1.00000V       M104U         40kH



# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
 25.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
 25.002  MATH         M[103] = 1

# UUT Setup to 10V Range
 25.003  RSLT         =
 25.004  RSLT         =10V Range
 25.005  IEEE         F2R4C1A0

# ********************* 10V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 25.006  MATH         M[255] = 5

# Set Tolerance
 25.007  MATH         M[104] = 0.008

# 48xx Setup
 25.008  4805         10V                          500H                 S  2W
 25.009  CALL         Sub Wait

# Take Reading
 25.010  TARGET       -m
 25.011  CALL         Sub Datron 10xx Take Reading IEEE
 25.012  MEMCX        10.0000V       M104U         500H

# ********************* 10V @ 40kHz Output ********************************

# Setup Registers      Delay Time
 26.001  MATH         M[255] = 5

# Set Tolerance
 26.002  MATH         M[104] = 0.02

# 48xx Setup
 26.003  4805         10V                          40kH                 S  2W
 26.004  CALL         Sub Wait

# Take Reading
 26.005  TARGET       -m
 26.006  CALL         Sub Datron 10xx Take Reading IEEE
 26.007  MEMCX        10.0000V       M104U         40kH


# ***************** 100 V RANGE ****************

# Set String Registers:        Range          Units
 27.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 27.002  MATH         M[103] = 1

# UUT Setup to 100V Range
 27.003  RSLT         =
 27.004  RSLT         =100 V Range
 27.005  IEEE         F2R5C1A0

# ********************* 100V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 27.006  MATH         M[255] = 5

# Set Tolerance
 27.007  MATH         M[104] = 0.08

# 48xx Setup
 27.008  4805         100V                         500H                 S  2W
 27.009  CALL         Sub Wait

# Take Reading
 27.010  TARGET       -m
 27.011  CALL         Sub Datron 10xx Take Reading IEEE
 27.012  MEMCX        100.000V       M104U         500H

# ********************* 100V @ 40kHz Output ********************************

# Setup Registers      Delay Time
 28.001  MATH         M[255] = 5

# Set Tolerance
 28.002  MATH         M[104] = 0.2

# 48xx Setup
 28.003  4805         100V                         40kH                 S  2W
 28.004  CALL         Sub Wait

# Take Reading
 28.005  TARGET       -m
 28.006  CALL         Sub Datron 10xx Take Reading IEEE
 28.007  MEMCX        100.000V       M104U         40kH

# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 29.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 29.002  MATH         M[103] = 1

# UUT Setup to 1000V Range
 29.003  RSLT         =
 29.004  RSLT         =1000 V Range
 29.005  IEEE         F2R6C1A0

# ********************* 1000V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 29.006  MATH         M[255] = 5

# Set Tolerance
 29.007  MATH         M[104] = 1.6

# 48xx Setup
 29.008  4805         1000V                        500H                 S  2W
 29.009  CALL         Sub Wait

# Take Reading
 29.010  TARGET       -m
 29.011  CALL         Sub Datron 10xx Take Reading IEEE
 29.012  MEMCX        1000.00V       M104U         500H

# ********************* 1000V @ 20kHz Output ********************************

# Setup Registers      Delay Time
 30.001  MATH         M[255] = 5

# Set Tolerance
 30.002  MATH         M[104] = 4

# 48xx Setup
 30.003  4805         1000V                        20kH                 S  2W
 30.004  CALL         Sub Wait

# Take Reading
 30.005  TARGET       -m
 30.006  CALL         Sub Datron 10xx Take Reading IEEE
 30.007  MEMCX        1000.00V       M104U         20kH

 31.001  LABEL        SKIP_ACV

#**************************** DC CURRENT *******************************
#***********************************************************************
 31.002  JMPL         SKIP_DCI  CMPI ("DC Current (Option 30)",S[13]) != 1
 31.003  JMPL         SKIP_FMT_DCI  CMPI ("> 17",S[4]) == 1
 31.004  MATH         M[108] = 1E6
 31.005  LABEL        SKIP_FMT_DCI
 31.006  PIC          1081i57
 31.007  RSLT         =
 31.008  HEAD         {Function: DC Current}
 31.009  TARGET       -p

# Measurement Setup
 31.010  VSET         NTHROW = 1 NMEAS = 5

# ***************** 100 uA RANGE ****************

# Set String Registers:        Range          Units
 31.011  MATH         S[2] = "100" ; S[3]  = "uA"

# Set Numeric Register:  Units
 31.012  MATH         M[103] = 1e-6

# UUT Setup to 100uA Range
 31.013  RSLT         =
 31.014  RSLT         =100 uA Range
 31.015  IEEE         F5R2C1A0


# ********************* +100 uA Output ********************************

# Setup Registers      Delay Time
 31.016  MATH         M[255] = 5

# Set Tolerance
 31.017  MATH         M[104] = 0.019

# 48xx Setup
 31.018  4805         100uA                                             S  2W
 31.019  CALL         Sub Wait

# Take Reading
 31.020  TARGET       -m
 31.021  CALL         Sub Datron 10xx Take Reading IEEE
 31.022  MEMCX        100.000uA      M104U


# ********************* -100 uA Output ********************************

# Setup Registers      Delay Time
 32.001  MATH         M[255] = 5

# Set Tolerance
 32.002  MATH         M[104] = 0.019

# 48xx Setup
 32.003  4805         -100uA                                            S  2W
 32.004  CALL         Sub Wait

# Take Reading
 32.005  TARGET       -m
 32.006  CALL         Sub Datron 10xx Take Reading IEEE
 32.007  MEMCX        -100.000uA     M104U



# ***************** 1mA RANGE ****************

# Set String Registers:        Range          Units
 33.001  MATH         S[2] = "1" ; S[3]  = "mA"

# Set Numeric Register:  Units
 33.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range
 33.003  RSLT         =
 33.004  RSLT         =1mA Range
 33.005  IEEE         F5R3C1A0

# ********************* +1mA Output ********************************

# Setup Registers      Delay Time
 33.006  MATH         M[255] = 5

# Set Tolerance
 33.007  MATH         M[104] = 0.00019

# 48xx Setup
 33.008  4805         1mA                                               S  2W
 33.009  CALL         Sub Wait


# Take Reading
 33.010  TARGET       -m
 33.011  CALL         Sub Datron 10xx Take Reading IEEE
 33.012  MEMCX        1.00000mA      M104U


# ********************* -1mA Output ********************************

# Setup Registers      Delay Time
 34.001  MATH         M[255] = 5

# Set Tolerance
 34.002  MATH         M[104] = 0.00019

# 48xx Setup
 34.003  4805         -1mA                                              S  2W
 34.004  CALL         Sub Wait

# Take Reading
 34.005  TARGET       -m
 34.006  CALL         Sub Datron 10xx Take Reading IEEE
 34.007  MEMCX        -1.00000mA     M104U


# ***************** 10mA RANGE ****************

# Set String Registers:        Range          Units
 35.001  MATH         S[2] = "10" ; S[3]  = "mA"

# Set Numeric Register:  Units
 35.002  MATH         M[103] = 1e-3

# UUT Setup to 10mA Range
 35.003  RSLT         =
 35.004  RSLT         =10 mA Range
 35.005  IEEE         F5R4C1A0


# ********************* +10mA Output ********************************

# Setup Registers      Delay Time
 35.006  MATH         M[255] = 5

# Set Tolerance
 35.007  MATH         M[104] = 0.0019

# 48xx Setup
 35.008  4805         10mA                                              S  2W
 35.009  CALL         Sub Wait

# Take Reading
 35.010  TARGET       -m
 35.011  CALL         Sub Datron 10xx Take Reading IEEE
 35.012  MEMCX        10.0000mA      M104U


# ********************* -10mA Output *******************************

# Setup Registers      Delay Time
 36.001  MATH         M[255] = 5

# Set Tolerance
 36.002  MATH         M[104] = 0.0019

# 48xx Setup
 36.003  4805         -10mA                                             S  2W
 36.004  CALL         Sub Wait

# Take Reading
 36.005  TARGET       -m
 36.006  CALL         Sub Datron 10xx Take Reading IEEE
 36.007  MEMCX        -10.0000mA     M104U


# ***************** 100 mA RANGE ****************

# Set String Registers:        Range          Units
 37.001  MATH         S[2] = "100" ; S[3]  = "mA"

# Set Numeric Register:  Units
 37.002  MATH         M[103] = 1e-3

# UUT Setup to 100uA Range
 37.003  RSLT         =
 37.004  RSLT         =100 mA Range
 37.005  IEEE         F5R5C1A0

# ********************* +100mA Output ********************************

# Setup Registers      Delay Time
 37.006  MATH         M[255] = 10

# Set Tolerance
 37.007  MATH         M[104] = 0.019

# 48xx Setup
 37.008  4805         100mA                                             S  2W
 37.009  CALL         Sub Wait

# Take Reading
 37.010  TARGET       -m
 37.011  CALL         Sub Datron 10xx Take Reading IEEE
 37.012  MEMCX        100.000mA      M104U


# ********************* -100mA Output ********************************

# Setup Registers      Delay Time
 38.001  MATH         M[255] = 10

# Set Tolerance
 38.002  MATH         M[104] = 0.019

# 48xx Setup
 38.003  4805         -100mA                                            S  2W
 38.004  CALL         Sub Wait

# Take Reading
 38.005  TARGET       -m
 38.006  CALL         Sub Datron 10xx Take Reading IEEE
 38.007  MEMCX        -100.000mA     M104U


# ***************** 1000mA RANGE ****************

# Set String Registers:        Range          Units
 39.001  MATH         S[2] = "1000" ; S[3]  = "mA"

# Set Numeric Register:  Units
 39.002  MATH         M[103] = 1e-3

# UUT Setup to 1000mA Range
 39.003  RSLT         =
 39.004  RSLT         =1000 mA Range
 39.005  IEEE         F5R6C1A0


# ********************* +1000mA Output ********************************

# Setup Registers      Delay Time
 39.006  MATH         M[255] = 15

# Set Tolerance
 39.007  MATH         M[104] = 0.34

# 48xx Setup
 39.008  4805         1000mA                                            S  2W
 39.009  CALL         Sub Wait

# Take Reading
 39.010  TARGET       -m
 39.011  CALL         Sub Datron 10xx Take Reading IEEE
 39.012  MEMCX        1000.00mA      M104U


# ********************* -1000mA Output ********************************

# Setup Registers      Delay Time
 40.001  MATH         M[255] = 15

# Set Tolerance
 40.002  MATH         M[104] = 0.34

# 48xx Setup
 40.003  4805         -1000mA                                           S  2W
 40.004  CALL         Sub Wait

# Take Reading
 40.005  TARGET       -m
 40.006  CALL         Sub Datron 10xx Take Reading IEEE
 40.007  MEMCX        -1000.00mA     M104U


# Rest After High Voltage
 41.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 41.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 41.003  CALL         Sub Wait
 41.004  LABEL        SKIP_DCI


#**************************** AC CURRENT *******************************
#***********************************************************************
 41.005  JMPL         SKIP_ACI  CMPI ("AC Current (Option 30)",S[14]) != 1
 41.006  JMPL         SKIP_FMT_ACI  CMPI ("> 17",S[4]) == 1
 41.007  MATH         M[108] = 1E6
 41.008  LABEL        SKIP_FMT_ACI

 41.009  RSLT         =
 41.010  HEAD         {Function: AC Current}
 41.011  TARGET       -p

# Measurement Setup
 41.012  VSET         NTHROW = 1 NMEAS = 5
 41.013  4805         2.5e-4V                      500H                 S  2W


# ***************** 100 uA RANGE ****************

# Set String Registers:        Range          Units
 41.014  MATH         S[2] = "100" ; S[3]  = "uA"

# Set Numeric Register:  Units
 41.015  MATH         M[103] = 1e-6

# UUT Setup to 100uA Range
 41.016  RSLT         =
 41.017  RSLT         =100 uA Range
 41.018  IEEE         F4R2C1A0

# ********************* 100uA 500Hz Output ********************************

# Setup Registers      Delay Time
 41.019  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 41.020  MATH         M[104] = 0.35

# 48xx Setup
 41.021  4805         100uA                        500H                 S  2W
 41.022  CALL         Sub Wait

# Take Reading
 41.023  TARGET       -m
 41.024  CALL         Sub Datron 10xx Take Reading IEEE
 41.025  MEMCX        100.000uA      M104U         500H


# ***************** 1 mA RANGE ****************

# Set String Registers:        Range          Units
 42.001  MATH         S[2] = "1" ; S[3]  = "mA"

# Set Numeric Register:  Units
 42.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range
 42.003  RSLT         =
 42.004  RSLT         =1mA Range
 42.005  IEEE         F4R3C1A0

# ********************* 1mA 500Hz Output ********************************

# Setup Registers      Delay Time
 42.006  MATH         M[255] = 10

# Set Tolerance
 42.007  MATH         M[104] = 0.0035

# 48xx Setup
 42.008  4805         1mA                          500H                 S  2W
 42.009  CALL         Sub Wait

# Take Reading
 42.010  TARGET       -m
 42.011  CALL         Sub Datron 10xx Take Reading IEEE
 42.012  MEMCX        1.00000mA      M104U         500H


# ***************** 10 mA RANGE ****************

# Set String Registers:        Range          Units
 43.001  MATH         S[2] = "10" ; S[3]  = "mA"

# Set Numeric Register:  Units
 43.002  MATH         M[103] = 1e-3

# UUT Setup to 10mA Range
 43.003  RSLT         =
 43.004  RSLT         =10mA Range
 43.005  IEEE         F4R4C1A0

# ********************* 10mA 500Hz Output ********************************

# Setup Registers      Delay Time
 43.006  MATH         M[255] = 10

# Set Tolerance
 43.007  MATH         M[104] = 0.035

# 48xx Setup
 43.008  4805         10mA                         500H                 S  2W
 43.009  CALL         Sub Wait

# Take Reading
 43.010  TARGET       -m
 43.011  CALL         Sub Datron 10xx Take Reading IEEE
 43.012  MEMCX        10.0000mA      M104U         500H


# ***************** 100 mA RANGE ****************

# Set String Registers:        Range          Units
 44.001  MATH         S[2] = "100" ; S[3]  = "mA"

# Set Numeric Register:  Units
 44.002  MATH         M[103] = 1e-3

# UUT Setup to 100mA Range
 44.003  RSLT         =
 44.004  RSLT         =100mA Range
 44.005  IEEE         F4R5C1A0

# ********************* 100mA 500Hz Output ********************************

# Setup Registers      Delay Time
 44.006  MATH         M[255] = 15

# Set Tolerance
 44.007  MATH         M[104] = 0.35

# 48xx Setup
 44.008  4805         100mA                        500H                 S  2W
 44.009  CALL         Sub Wait

# Take Reading
 44.010  TARGET       -m
 44.011  CALL         Sub Datron 10xx Take Reading IEEE
 44.012  MEMCX        100.000mA      M104U         500H


# ***************** 1000 mA RANGE ****************

# Set String Registers:        Range          Units
 45.001  MATH         S[2] = "1000" ; S[3]  = "mA"

# Set Numeric Register:  Units
 45.002  MATH         M[103] = 1e-3

# UUT Setup to 1000mA Range
 45.003  RSLT         =
 45.004  RSLT         =1000mA Range
 45.005  IEEE         F4R6C1A0

# ********************* 1000mA 500Hz Output ********************************

# Setup Registers      Delay Time
 45.006  MATH         M[255] = 20

# Set Tolerance
 45.007  MATH         M[104] = 3.5

# 48xx Setup
 45.008  4805         1000mA                       500H                 S  2W
 45.009  CALL         Sub Wait

# Take Reading
 45.010  TARGET       -m
 45.011  CALL         Sub Datron 10xx Take Reading IEEE
 45.012  MEMCX        1000.00mA      M104U         500H


# Rest After High Voltage
 46.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 46.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 46.003  CALL         Sub Wait

 46.004  LABEL        SKIP_ACI

#**************************** RESISTANCE *******************************
#***********************************************************************
 46.005  JMPL         SKIP_RES  CMPI ("Resistance (Option 20)",S[12]) != 1
 46.006  PIC          1081in57
 46.007  RSLT         =
 46.008  HEAD         {Function: Resistance}
 46.009  TARGET       -p

# Measurement Setup
 46.010  VSET         NTHROW = 1 NMEAS = 5

# ***************** 10 ? RANGE ****************

# Set String Registers:        Range          Units
 46.011  MATH         S[2] = "10" ; S[3]  = "?"

# Set Numeric Register:  Units
 46.012  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 10 ? Range
 46.013  RSLT         =
 46.014  RSLT         =10 ? Range
 46.015  IEEE         F1R1C1A2


# ********************* 10 ? Output ********************************

# Setup Registers      Delay Time
 46.016  MATH         M[255] = 5

# Set Tolerance
 46.017  MATH         M[104] = 0.0005

# 48xx Setup
 46.018  4805         10.000000Z                                        S  4W
 46.019  CALL         Sub Wait

# Take Reading
 46.020  TARGET       -m
 46.021  CALL         Sub Datron 10xx Take Reading IEEE
 46.022  MEMCX  10    Z              M104U

# ***************** 100 ? RANGE ****************

# Set String Registers:        Range          Units
 47.001  MATH         S[2] = "100" ; S[3]  = "?"

# Set Numeric Register:  Units
 47.002  MATH         M[103] = 1

# UUT Setup to 10 ? Range
 47.003  RSLT         =
 47.004  RSLT         =100 ? Range
 47.005  IEEE         F1R2C1A2

# ********************* 100 ? Output ********************************

# Setup Registers      Delay Time
 47.006  MATH         M[255] = 5

# Set Tolerance
 47.007  MATH         M[104] = 0.0036

# 48xx Setup
 47.008  4805         100.00000Z                                        S  4W
 47.009  CALL         Sub Wait

# Take Reading
 47.010  TARGET       -m
 47.011  CALL         Sub Datron 10xx Take Reading IEEE
 47.012  MEMCX        Z              M104U



# ***************** 1 k? RANGE ****************

# Set String Registers:        Range          Units
 48.001  MATH         S[2] = "1" ; S[3]  = "k?"

# Set Numeric Register:  Units
 48.002  MATH         M[103] = 1e3

# UUT Setup to 1 k? Range
 48.003  RSLT         =
 48.004  RSLT         =1 k? Range
 48.005  IEEE         F1R3C1A2

# ********************* 1 k? Output ********************************

# Setup Registers      Delay Time
 48.006  MATH         M[255] = 5

# Set Tolerance
 48.007  MATH         M[104] = 0.000036

# 48xx Setup
 48.008  4805         1.0000000kZ                                       S  4W
 48.009  CALL         Sub Wait

# Take Reading
 48.010  TARGET       -m
 48.011  CALL         Sub Datron 10xx Take Reading IEEE
 48.012  MEMCX        kZ             M104U

# ***************** 10 k? RANGE ****************

# Set String Registers:        Range          Units
 49.001  MATH         S[2] = "10" ; S[3]  = "k?"

# Set Numeric Register:  Units
 49.002  MATH         M[103] = 1e3

# UUT Setup to 10 k? Range
 49.003  RSLT         =
 49.004  RSLT         =10 k? Range
 49.005  IEEE         F1R4C1A2

# ********************* 10 k? Output ********************************

# Setup Registers      Delay Time
 49.006  MATH         M[255] = 5

# Set Tolerance
 49.007  MATH         M[104] = 0.00036

# 48xx Setup
 49.008  4805         10.000000kZ                                       S  4W
 49.009  CALL         Sub Wait

# Take Reading
 49.010  TARGET       -m
 49.011  CALL         Sub Datron 10xx Take Reading IEEE
 49.012  MEMCX        kZ             M104U



# ***************** 100 k? RANGE ****************

# Set String Registers:        Range          Units
 50.001  MATH         S[2] = "100" ; S[3]  = "k?"

# Set Numeric Register:  Units
 50.002  MATH         M[103] = 1e3

# UUT Setup to 100 k? Range
 50.003  RSLT         =
 50.004  RSLT         =100 k? Range
 50.005  IEEE         F1R5C1A2

# ********************* 100 k? Output ********************************

# Setup Registers      Delay Time
 50.006  MATH         M[255] = 5

# Set Tolerance
 50.007  MATH         M[104] = 0.0046

# 48xx Setup
 50.008  4805         100.00000kZ                                       S  4W
 50.009  CALL         Sub Wait

# Take Reading
 50.010  TARGET       -m
 50.011  CALL         Sub Datron 10xx Take Reading IEEE
 50.012  MEMCX        kZ             M104U



# ***************** 1000 k? RANGE ****************

# Set String Registers:        Range          Units
 51.001  MATH         S[2] = "1000" ; S[3]  = "k?"

# Set Numeric Register:  Units
 51.002  MATH         M[103] = 1e3

# UUT Setup to 1000 k? Range
 51.003  RSLT         =
 51.004  RSLT         =1000 k? Range
 51.005  IEEE         F1R6C1A2

# ********************* 1000 k? Output ********************************

# Setup Registers      Delay Time
 51.006  MATH         M[255] = 10

# Set Tolerance
 51.007  MATH         M[104] = 0.126

# 48xx Setup
 51.008  4805         1000.0000kZ                                       S  4W
 51.009  CALL         Sub Wait

# Take Reading
 51.010  TARGET       -m
 51.011  CALL         Sub Datron 10xx Take Reading IEEE
 51.012  MEMCX        kZ             M104U



# ***************** 10 M? RANGE ****************

# Set String Registers:        Range          Units
 52.001  MATH         S[2] = "10" ; S[3]  = "M?"

# Set Numeric Register:  Units
 52.002  MATH         M[103] = 1e6

# UUT Setup to 10 M? Range
 52.003  RSLT         =
 52.004  RSLT         =10 M? Range
 52.005  IEEE         F1R7C1A2

# ********************* 10 M? Output ********************************

# Setup Registers      Delay Time
 52.006  MATH         M[255] = 5

# Set Tolerance
 52.007  MATH         M[104] = 0.00366

# 48xx Setup
 52.008  4805         10.000000MZ                                       S  4W
 52.009  CALL         Sub Wait

# Take Reading
 52.010  TARGET       -m
 52.011  CALL         Sub Datron 10xx Take Reading IEEE
 52.012  MEMCX        MZ             M104U


# Rest After High Voltage
 53.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 53.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 53.003  CALL         Sub Wait


 53.004  LABEL        SKIP_RES
 53.005  LABEL        END
 53.006  END
